org.apache.mina.api

## Class AbstractIoFutureListener<V>

- java.lang.Object
- - org.apache.mina.api.AbstractIoFutureListener<V>

All Implemented Interfaces:
  IoFutureListener<V>

    public abstract class AbstractIoFutureListener<V>
    extends Object
    implements IoFutureListener<V>

Convenient base implementation for `IoFutureListener`. if something wrong happen the exception is rethrown, which will produce an exception caught event for the session

Author:
  Apache MINA Project

### Constructor Summary

Constructors
Constructor and Description
`AbstractIoFutureListener()`

### Method Summary

Methods
`void` `exception(Throwable t)` Called if there was an exception by the task as it was executing.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.mina.api.IoFutureListener

`completed`

### Constructor Detail

#### AbstractIoFutureListener

    public AbstractIoFutureListener()

### Method Detail

#### exception

    public void exception(Throwable t)

Called if there was an exception by the task as it was executing. Expect `CancellationException` of the future was canceled or `ExecutionException` if there was an error executing the task the future was waiting on.

Specified by:
  `exception` in interface `IoFutureListener<V>`
Parameters:
  `t` - an instance of `Throwable`